AR		= ar
CC		= cc
ARFLAGS		= rc
CFLAGS		= -DUNIX -O2 -Wall -I.. -g

OBJS		= add.o chs.o overlap.o filecore.o icside.o \
		  linux.o pcbios.o powertec.o riscix.o eesox.o
LIB		= ../scheme.a

all:		$(LIB)

clean:;		$(RM) $(LIB) *.o

$(LIB):		$(OBJS)
		$(AR) $(ARFLAGS) $@ $(OBJS)

.c.o:;		$(CC) $(CFLAGS) -o $@ -c $<

